Package org.eclipse.ecf.osgi.services.remoteserviceadmin

## Class DebugRemoteServiceAdminListener

- java.lang.Object
- - org.eclipse.ecf.osgi.services.remoteserviceadmin.DebugRemoteServiceAdminListener

All Implemented Interfaces:
  `RemoteServiceAdminListener`

    public class DebugRemoteServiceAdminListener
    extends Object
    implements RemoteServiceAdminListener

Since:
  4.3

### Field Summary

Fields
`static int` `ALL_MASK`
`protected EndpointDescriptionWriter` `edWriter`
`protected int` `eventMask`
`static int` `EXPORT_MASK`
`static int` `IMPORT_MASK`
`static SimpleDateFormat` `sdf`
`protected boolean` `writeEndpoint`
`protected PrintWriter` `writer`

### Constructor Summary

Constructors
`DebugRemoteServiceAdminListener()`
`DebugRemoteServiceAdminListener​(int mask)`
`DebugRemoteServiceAdminListener​(int mask, boolean writeEndpoint)`
`DebugRemoteServiceAdminListener​(PrintWriter writer)`
`DebugRemoteServiceAdminListener​(PrintWriter writer, int mask)`
`DebugRemoteServiceAdminListener​(PrintWriter writer, int eventMask, boolean writeEndpoint)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected boolean` `allow​(int type, int mask)`
`protected String` `eventTypeToString​(int type)`
`int` `getEventMask()`
`protected void` `printEvent​(RemoteServiceAdmin.RemoteServiceAdminEvent event)`
`void` `remoteAdminEvent​(RemoteServiceAdminEvent event)` Receive notification of any export or import registrations and unregistrations as well as errors and warnings.
`void` `setEventMask​(int eventMask)`
`protected void` `writeEndpoint​(EndpointDescription endpointDescription)`
`protected void` `writeRemoteReference​(StringBuffer buf, ServiceReference<?> ref, ID containerID, long remoteServiceID)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### sdf

    public static final SimpleDateFormat sdf

#### EXPORT_MASK

    public static final int EXPORT_MASK

See Also:
  Constant Field Values

#### IMPORT_MASK

    public static final int IMPORT_MASK

See Also:
  Constant Field Values

#### ALL_MASK

    public static final int ALL_MASK

See Also:
  Constant Field Values

#### writer

    protected final PrintWriter writer

#### eventMask

    protected int eventMask

#### writeEndpoint

    protected boolean writeEndpoint

#### edWriter

    protected EndpointDescriptionWriter edWriter

### Constructor Detail

#### DebugRemoteServiceAdminListener

    public DebugRemoteServiceAdminListener​(PrintWriter writer,
                                           int eventMask,
                                           boolean writeEndpoint)

#### DebugRemoteServiceAdminListener

    public DebugRemoteServiceAdminListener​(PrintWriter writer,
                                           int mask)

#### DebugRemoteServiceAdminListener

    public DebugRemoteServiceAdminListener​(PrintWriter writer)

#### DebugRemoteServiceAdminListener

    public DebugRemoteServiceAdminListener​(int mask,
                                           boolean writeEndpoint)

#### DebugRemoteServiceAdminListener

    public DebugRemoteServiceAdminListener​(int mask)

#### DebugRemoteServiceAdminListener

    public DebugRemoteServiceAdminListener()

### Method Detail

#### getEventMask

    public int getEventMask()

#### setEventMask

    public void setEventMask​(int eventMask)

#### allow

    protected boolean allow​(int type,
                            int mask)

#### remoteAdminEvent

    public void remoteAdminEvent​(RemoteServiceAdminEvent event)

Description copied from interface: `RemoteServiceAdminListener`
Receive notification of any export or import registrations and unregistrations as well as errors and warnings.

Specified by:
  `remoteAdminEvent` in interface `RemoteServiceAdminListener`
Parameters:
  `event` - The `RemoteServiceAdminEvent` object.

#### eventTypeToString

    protected String eventTypeToString​(int type)

#### writeRemoteReference

    protected void writeRemoteReference​(StringBuffer buf,
                                        ServiceReference<?> ref,
                                        ID containerID,
                                        long remoteServiceID)

#### printEvent

    protected void printEvent​(RemoteServiceAdmin.RemoteServiceAdminEvent event)

#### writeEndpoint

    protected void writeEndpoint​(EndpointDescription endpointDescription)